<?xml version='1.0' encoding='ISO-8859-1'?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns="http://www.w3.org/1999/xhtml"
                version="1.0">

  <!-- This stylesheet controls how legalnotice page is created -->

    <!-- Generating the legalnotice page:
           We are forcing separate legalnotice page generation.
           Removed the default link to legalnotice page. We want it in Copyright.
           Added footer navigational link to Home.  -->
    <!-- The original template is in {docbook-xsl}/xhtml/titlepage.xsl -->
  <xsl:template match="legalnotice" mode="titlepage.mode">
    <xsl:variable name="id">
      <xsl:call-template name="object.id"/>
    </xsl:variable>
    <xsl:variable name="home" select="/*[1]"/>

    <xsl:choose>
      <xsl:when test="$generate.legalnotice.link != 0">

      <!-- Compute name of legalnotice file -->
      <xsl:variable name="file">
        <xsl:call-template name="ln.or.rh.filename"/>
      </xsl:variable>

      <xsl:variable name="filename">
        <xsl:call-template name="make-relative-filename">
          <xsl:with-param name="base.dir" select="$chunk.base.dir"/>
          <xsl:with-param name="base.name" select="$file"/>
        </xsl:call-template>
      </xsl:variable>

      <xsl:call-template name="write.chunk">
        <xsl:with-param name="filename" select="$filename"/>
        <xsl:with-param name="quiet" select="$chunk.quietly"/>
        <xsl:with-param name="content">
        <xsl:call-template name="user.preroot"/>
          <html>
            <head>
              <xsl:call-template name="system.head.content"/>
              <xsl:call-template name="head.content"/>
              <!-- home link not valid in HTML5 -->
              <xsl:if test="$home and $div.element != 'section'">
                <link rel="home">
                  <xsl:attribute name="href">
                    <xsl:call-template name="href.target">
                      <xsl:with-param name="object" select="$home"/>
                    </xsl:call-template>
                  </xsl:attribute>
                  <xsl:attribute name="title">
                    <xsl:apply-templates select="$home" mode="object.title.markup.textonly"/>
                  </xsl:attribute>
                </link>
              </xsl:if>
              <xsl:call-template name="user.head.content"/>
            </head>
            <body>
              <xsl:call-template name="body.attributes"/>
              <div>
                <xsl:apply-templates select="." mode="common.html.attributes"/>
                <xsl:call-template name="id.attribute">
                  <xsl:with-param name="conditional" select="0"/>
                </xsl:call-template>
                <xsl:apply-templates mode="titlepage.mode"/>
              </div>
              <div class="navfooter">
                <ul class="footerlinks">
                  <li class="home">
                    <a accesskey="h">
                      <xsl:attribute name="href">
                        <xsl:text>index</xsl:text><xsl:value-of select="$html.ext"/>
                      </xsl:attribute>
                      <xsl:attribute name="title">
                        <xsl:value-of select="/book/bookinfo/title"/>
                        <xsl:text> - </xsl:text>
                        <xsl:value-of select="/book/bookinfo/subtitle"/>
                      </xsl:attribute>
                      <xsl:call-template name="navig.content">
                        <xsl:with-param name="direction" select="'home'"/>
                      </xsl:call-template>
                    </a>
                  </li>
                </ul>
              </div>
            </body>
          </html>
          <xsl:value-of select="$chunk.append"/>
        </xsl:with-param>
      </xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
        <div>
          <xsl:apply-templates select="." mode="common.html.attributes"/>
          <xsl:call-template name="id.attribute">
            <xsl:with-param name="conditional" select="0"/>
          </xsl:call-template>
          <xsl:call-template name="anchor">
            <xsl:with-param name="conditional" select="0"/>
          </xsl:call-template>
          <xsl:apply-templates mode="titlepage.mode"/>
        </div>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

    <!-- Making the legalnotice link:
         We make the "Copyright" word a link to legalnotice page. -->
    <!-- The original template is in {docbook-xsl}/xhtml/titlepage.xsl -->
  <xsl:template match="copyright" mode="titlepage.mode">
    <p>
      <xsl:apply-templates select="." mode="common.html.attributes"/>

      <!-- Compute name of legalnotice file -->
      <xsl:variable name="file">
        <xsl:call-template name="ln.or.rh.filename">
          <xsl:with-param name="node" select="/book/bookinfo/legalnotice"/>
        </xsl:call-template>
      </xsl:variable>

      <a href="{$file}">
        <xsl:call-template name="gentext">
          <xsl:with-param name="key" select="'Copyright'"/>
        </xsl:call-template>
      </a>
      <xsl:call-template name="gentext.space"/>
      <xsl:call-template name="dingbat">
        <xsl:with-param name="dingbat">copyright</xsl:with-param>
      </xsl:call-template>
      <xsl:call-template name="gentext.space"/>
      <xsl:call-template name="copyright.years">
        <xsl:with-param name="years" select="year"/>
        <xsl:with-param name="print.ranges" select="$make.year.ranges"/>
        <xsl:with-param name="single.year.ranges" select="$make.single.year.ranges"/>
      </xsl:call-template>
      <xsl:call-template name="gentext.space"/>
      <xsl:apply-templates select="holder" mode="titlepage.mode"/>
    </p>
  </xsl:template>

</xsl:stylesheet>
